Skip to content

GET Status.

GET
/api/shape/csd/namespaces/{namespace}/status
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/status \
--header 'Authorization: <Authorization>'

GET Client-Side Defense status for the tenant.

Examples of this operation.

namespace
required
string

Namespace Namespace.

A successful response.

Media typeapplication/json
GetStatusResponse

GET status of Client-Side Defense Configuration.

object
isConfigured
isConfigured

Client-Side defense service is configured or not.

boolean format: boolean
isEnabled
isEnabled

Client-Side defense service is enabled or not.

boolean format: boolean
Examplegenerated
{
"isConfigured": true,
"isEnabled": true
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example